Browse Source

Merge remote-tracking branch 'refs/remotes/origin/master' into ultimatebyte-dev

Daniel Gibbs 9 năm trước cách đây
mục cha
commit
93ed3e1676
86 tập tin đã thay đổi với 548 bổ sung463 xóa
  1. 1 1
      7DaysToDie/sdtdserver
  2. 1 1
      ARKSurvivalEvolved/arkserver
  3. 1 1
      Arma3/arma3server
  4. 1 1
      Battlefield1942/bf1942server
  5. 1 1
      BlackMesa/bmdmserver
  6. 1 1
      BladeSymphony/bsserver
  7. 1 1
      BrainBread2/bb2server
  8. 1 1
      CodenameCURE/ccserver
  9. 1 1
      CounterStrike/csserver
  10. 1 1
      CounterStrikeConditionZero/csczserver
  11. 1 1
      CounterStrikeGlobalOffensive/csgoserver
  12. 1 1
      CounterStrikeSource/cssserver
  13. 1 1
      DayOfDefeat/dodserver
  14. 1 1
      DayOfDefeatSource/dodsserver
  15. 1 1
      DayOfInfamy/doiserver
  16. 1 1
      DeathmatchClassic/dmcserver
  17. 1 1
      DontStarveTogether/dstserver
  18. 1 1
      DoubleActionBoogaloo/dabserver
  19. 1 1
      EmpiresMod/emserver
  20. 1 1
      FistfulOfFrags/fofserver
  21. 1 1
      GarrysMod/gmodserver
  22. 1 1
      GoldenEyeSource/gesserver
  23. 1 1
      HalfLife2Deathmatch/hl2dmserver
  24. 1 1
      HalfLifeDeathmatch/hldmserver
  25. 1 1
      HalfLifeDeathmatchSource/hldmsserver
  26. 1 1
      Hurtworld/hwserver
  27. 1 1
      Insurgency/insserver
  28. 1 1
      JustCause2/jc2server
  29. 1 1
      KillingFloor/kfserver
  30. 1 1
      Left4Dead/l4dserver
  31. 1 1
      Left4Dead2/l4d2server
  32. 34 34
      Minecraft/mcserver
  33. 1 1
      Mumble/mumbleserver
  34. 1 1
      NS2Combat/ns2cserver
  35. 1 1
      NaturalSelection2/ns2server
  36. 1 1
      NoMoreRoomInHell/nmrihserver
  37. 1 1
      OpposingForce/opforserver
  38. 1 1
      PiratesVikingandKnightsII/pvkiiserver
  39. 1 1
      ProjectZomboid/pzserver
  40. 15 0
      Quake2/cfg/lgsm-default.cfg
  41. 145 0
      Quake2/q2server
  42. 36 0
      Quake3/cfg/lgsm-default.cfg
  43. 145 0
      Quake3/q3server
  44. 1 1
      QuakeLive/qlserver
  45. 1 1
      RedOrchestra/roserver
  46. 1 1
      Ricochet/ricochetserver
  47. 1 1
      Rust/rustserver
  48. 1 1
      SeriousSam3BFE/ss3sserver
  49. 1 1
      Starbound/sbserver
  50. 1 1
      SvenCoop/svenserver
  51. 1 1
      TeamFortress2/tf2server
  52. 1 1
      TeamFortressClassic/tfcserver
  53. 1 1
      TeamSpeak3/ts3server
  54. 1 1
      Teeworlds/twserver
  55. 1 1
      Terraria/terrariaserver
  56. 1 1
      UnrealTournament/utserver
  57. 1 1
      UnrealTournament2004/ut2k4server
  58. 1 1
      UnrealTournament3/ut3server
  59. 1 1
      UnrealTournament99/ut99server
  60. 1 1
      WolfensteinEnemyTerritory/wetserver
  61. 0 22
      appmanifest/appmanifest_10.acf
  62. 0 22
      appmanifest/appmanifest_70.acf
  63. 0 28
      appmanifest/appmanifest_90.acf
  64. 0 31
      appmanifest/czero/appmanifest_90.acf
  65. 0 31
      appmanifest/dod/appmanifest_90.acf
  66. 0 31
      appmanifest/tfc/appmanifest_90.acf
  67. 0 38
      functions/command_update_functions.sh
  68. 0 72
      functions/core_functions.sh
  69. 0 14
      functions/core_getopt.sh
  70. 0 15
      functions/fn_functions
  71. 0 14
      functions/fn_getopt
  72. 0 15
      functions/fn_update_functions
  73. 0 15
      functions/update_functions.sh
  74. 5 6
      lgsm/functions/check_system_requirements.sh
  75. 26 2
      lgsm/functions/command_details.sh
  76. 1 1
      lgsm/functions/command_install.sh
  77. 1 1
      lgsm/functions/core_getopt.sh
  78. 1 1
      lgsm/functions/fn_functions
  79. 1 1
      lgsm/functions/fn_getopt
  80. 1 1
      lgsm/functions/fn_update_functions
  81. 3 1
      lgsm/functions/gsquery.py
  82. 44 0
      lgsm/functions/info_config.sh
  83. 6 1
      lgsm/functions/info_glibc.sh
  84. 13 11
      lgsm/functions/info_parms.sh
  85. 12 0
      lgsm/functions/install_config.sh
  86. 4 0
      lgsm/functions/install_server_files.sh

+ 1 - 1
7DaysToDie/sdtdserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
ARKSurvivalEvolved/arkserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Arma3/arma3server

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Battlefield1942/bf1942server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
BlackMesa/bmdmserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
BladeSymphony/bsserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
BrainBread2/bb2server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
CodenameCURE/ccserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
CounterStrike/csserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="060816"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
CounterStrikeConditionZero/csczserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
CounterStrikeGlobalOffensive/csgoserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
CounterStrikeSource/cssserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
DayOfDefeat/dodserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
DayOfDefeatSource/dodsserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
DayOfInfamy/doiserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
DeathmatchClassic/dmcserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
DontStarveTogether/dstserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
DoubleActionBoogaloo/dabserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
EmpiresMod/emserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
FistfulOfFrags/fofserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
GarrysMod/gmodserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
GoldenEyeSource/gesserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="300816"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
HalfLife2Deathmatch/hl2dmserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
HalfLifeDeathmatch/hldmserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
HalfLifeDeathmatchSource/hldmsserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Hurtworld/hwserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Insurgency/insserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="161001"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
JustCause2/jc2server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
KillingFloor/kfserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Left4Dead/l4dserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Left4Dead2/l4d2server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 34 - 34
Minecraft/mcserver

@@ -4,12 +4,12 @@
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
 if [ -f ".dev-debug" ]; then
-        exec 5>dev-debug.log
-        BASH_XTRACEFD="5"
-        set -x
+	exec 5>dev-debug.log
+	BASH_XTRACEFD="5"
+	set -x
 fi
 
-version="210816"
+version="211016"
 
 #### Variables ####
 
@@ -96,36 +96,36 @@ filename="${github_file_url_name}"
 githuburl="https://raw.githubusercontent.com/${githubuser}/${githubrepo}/${githubbranch}/${github_file_url_dir}/${github_file_url_name}"
 # If the file is missing, then download
 if [ ! -f "${filedir}/${filename}" ]; then
-        if [ ! -d "${filedir}" ]; then
-                mkdir -p "${filedir}"
-        fi
-        echo -e "    fetching ${filename}...\c"
-        # Check curl exists and use available path
-        curlpaths="$(command -v curl 2>/dev/null) $(which curl >/dev/null 2>&1) /usr/bin/curl /bin/curl /usr/sbin/curl /sbin/curl)"
-        for curlcmd in ${curlpaths}
-        do
-                if [ -x "${curlcmd}" ]; then
-                        break
-                fi
-        done
-        # If curl exists download file
-        if [ "$(basename ${curlcmd})" == "curl" ]; then
-                curlfetch=$(${curlcmd} -s --fail -o "${filedir}/${filename}" "${githuburl}" 2>&1)
-                if [ $? -ne 0 ]; then
-                        echo -e "\e[0;31mFAIL\e[0m\n"
-                        echo "${curlfetch}"
-                        echo -e "${githuburl}\n"
-                        exit 1
-                else
-                        echo -e "\e[0;32mOK\e[0m"
-                fi
-        else
-                echo -e "\e[0;31mFAIL\e[0m\n"
-                echo "Curl is not installed!"
-                echo -e ""
-                exit 1
-        fi
-        chmod +x "${filedir}/${filename}"
+	if [ ! -d "${filedir}" ]; then
+		mkdir -p "${filedir}"
+	fi
+	echo -e "    fetching ${filename}...\c"
+	# Check curl exists and use available path
+	curlpaths="$(command -v curl 2>/dev/null) $(which curl >/dev/null 2>&1) /usr/bin/curl /bin/curl /usr/sbin/curl /sbin/curl)"
+	for curlcmd in ${curlpaths}
+	do
+		if [ -x "${curlcmd}" ]; then
+			break
+		fi
+	done
+	# If curl exists download file
+	if [ "$(basename ${curlcmd})" == "curl" ]; then
+		curlfetch=$(${curlcmd} -s --fail -o "${filedir}/${filename}" "${githuburl}" 2>&1)
+		if [ $? -ne 0 ]; then
+			echo -e "\e[0;31mFAIL\e[0m\n"
+			echo "${curlfetch}"
+			echo -e "${githuburl}\n"
+			exit 1
+		else
+			echo -e "\e[0;32mOK\e[0m"
+		fi
+	else
+		echo -e "\e[0;31mFAIL\e[0m\n"
+		echo "Curl is not installed!"
+		echo -e ""
+		exit 1
+	fi
+	chmod +x "${filedir}/${filename}"
 fi
 source "${filedir}/${filename}"
 }

+ 1 - 1
Mumble/mumbleserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="290716"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
NS2Combat/ns2cserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
NaturalSelection2/ns2server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
NoMoreRoomInHell/nmrihserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
OpposingForce/opforserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
PiratesVikingandKnightsII/pvkiiserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
ProjectZomboid/pzserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 15 - 0
Quake2/cfg/lgsm-default.cfg

@@ -0,0 +1,15 @@
+set hostname "<hostname>"
+set rcon_password "<rconpassword>"
+set location "The Internet"
+set website "https://gameservermanagers.com/"
+set deathmatch 1
+set maxclients 8
+set timelimit 30
+set fraglimit 30
+
+map q2dm1
+
+// to advertise your server to a public "master server" add something
+// like this:
+//set public 1
+//setmaster master.q2servers.com

+ 145 - 0
Quake2/q2server

@@ -0,0 +1,145 @@
+#!/bin/bash
+# Quake 2
+# Server Management Script
+# Author: Daniel Gibbs
+# Website: https://gameservermanagers.com
+if [ -f ".dev-debug" ]; then
+	exec 5>dev-debug.log
+	BASH_XTRACEFD="5"
+	set -x
+fi
+
+version="210516"
+
+#### Variables ####
+
+# Notification Alerts
+# (on|off)
+
+# Email
+emailalert="off"
+email="email@example.com"
+
+# Pushbullet
+# https://www.pushbullet.com/#settings
+pushbulletalert="off"
+pushbullettoken="accesstoken"
+
+# Start Variables
+defaultmap="q2dm1"
+ip="0.0.0.0"
+port="27910"
+
+fn_parms(){
+parms="+set dedicated 1 +set ip ${ip} +set port ${port} +exec ${servercfg} +set deathmatch 1 +map ${defaultmap}"
+}
+
+#### Advanced Variables ####
+
+# Github Branch Select
+# Allows for the use of different function files
+# from a different repo and/or branch.
+githubuser="GameServerManagers"
+githubrepo="LinuxGSM"
+githubbranch="master"
+
+# Server Details
+servicename="quake2server"
+gamename="Quake 2"
+engine="idtech2"
+
+# Directories
+rootdir="$(dirname $(readlink -f "${BASH_SOURCE[0]}"))"
+selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
+lockselfname=".${servicename}.lock"
+lgsmdir="${rootdir}/lgsm"
+functionsdir="${lgsmdir}/functions"
+libdir="${lgsmdir}/lib"
+tmpdir="${lgsmdir}/tmp"
+filesdir="${rootdir}/serverfiles"
+systemdir="${filesdir}/baseq2"
+executabledir="${filesdir}"
+executable="./quake2"
+servercfg="${servicename}.cfg"
+servercfgdefault="server.cfg"
+servercfgdir="${systemdir}"
+servercfgfullpath="${servercfgdir}/${servercfg}"
+backupdir="${rootdir}/backups"
+
+# Logging
+logdays="7"
+gamelogdir="${filesdir}/Logs"
+scriptlogdir="${rootdir}/log/script"
+consolelogdir="${rootdir}/log/console"
+consolelogging="on"
+
+scriptlog="${scriptlogdir}/${servicename}-script.log"
+consolelog="${consolelogdir}/${servicename}-console.log"
+emaillog="${scriptlogdir}/${servicename}-email.log"
+
+scriptlogdate="${scriptlogdir}/${servicename}-script-$(date '+%d-%m-%Y-%H-%M-%S').log"
+consolelogdate="${consolelogdir}/${servicename}-console-$(date '+%d-%m-%Y-%H-%M-%S').log"
+
+##### Script #####
+# Do not edit
+
+# Fetches core_dl for file downloads
+fn_fetch_core_dl(){
+github_file_url_dir="lgsm/functions"
+github_file_url_name="${functionfile}"
+filedir="${functionsdir}"
+filename="${github_file_url_name}"
+githuburl="https://raw.githubusercontent.com/${githubuser}/${githubrepo}/${githubbranch}/${github_file_url_dir}/${github_file_url_name}"
+# If the file is missing, then download
+if [ ! -f "${filedir}/${filename}" ]; then
+	if [ ! -d "${filedir}" ]; then
+		mkdir -p "${filedir}"
+	fi
+	echo -e "    fetching ${filename}...\c"
+	# Check curl exists and use available path
+	curlpaths="$(command -v curl 2>/dev/null) $(which curl >/dev/null 2>&1) /usr/bin/curl /bin/curl /usr/sbin/curl /sbin/curl)"
+	for curlcmd in ${curlpaths}
+	do
+		if [ -x "${curlcmd}" ]; then
+			break
+		fi
+	done
+	# If curl exists download file
+	if [ "$(basename ${curlcmd})" == "curl" ]; then
+		curlfetch=$(${curlcmd} -s --fail -o "${filedir}/${filename}" "${githuburl}" 2>&1)
+		if [ $? -ne 0 ]; then
+			echo -e "\e[0;31mFAIL\e[0m\n"
+			echo "${curlfetch}"
+			echo -e "${githuburl}\n"
+			exit 1
+		else
+			echo -e "\e[0;32mOK\e[0m"
+		fi
+	else
+		echo -e "\e[0;31mFAIL\e[0m\n"
+		echo "Curl is not installed!"
+		echo -e ""
+		exit 1
+	fi
+	chmod +x "${filedir}/${filename}"
+fi
+source "${filedir}/${filename}"
+}
+
+core_dl.sh(){
+# Functions are defined in core_functions.sh.
+functionfile="${FUNCNAME}"
+fn_fetch_core_dl
+}
+
+core_functions.sh(){
+# Functions are defined in core_functions.sh.
+functionfile="${FUNCNAME}"
+fn_fetch_core_dl
+}
+
+core_dl.sh
+core_functions.sh
+
+getopt=$1
+core_getopt.sh

+ 36 - 0
Quake3/cfg/lgsm-default.cfg

@@ -0,0 +1,36 @@
+set sv_hostname "<hostname>"
+set sv_maxclients 16
+set g_motd "LGSM Quake3 Server"
+set g_forcerespawn 15
+set rconpassword "<rconpassword>"
+set g_gametype 0 //- Sets the type of game. 0 - Free for all, 1 - Tournament, 2 - Free for all(again), 3 - Team Deathmatch, 4 - Capture the Flag
+set fraglimit 50
+set timelimit 20
+
+//Here's the map-cycle. When fraglimit or timelimit is reached, the map is automatically changed.
+//Otherwise it would just play the same map again.
+set m1 "map q3dm1; set nextmap vstr m2"
+set m2 "map q3dm2; set nextmap vstr m3"
+set m3 "map q3dm3; set nextmap vstr m4"
+set m4 "map q3tourney1; set nextmap vstr m5"
+set m5 "map q3dm4; set nextmap vstr m6"
+set m6 "map q3dm5; set nextmap vstr m7"
+set m7 "map q3dm6; set nextmap vstr m8"
+set m8 "map q3tourney2; set nextmap vstr m9"
+set m9 "map q3dm7; set nextmap vstr m10"
+set m10 "map q3dm8; set nextmap vstr m11"
+set m11 "map q3dm9; set nextmap vstr m12"
+set m12 "map q3tourney3; set nextmap vstr m13"
+set m13 "map q3dm10; set nextmap vstr m14"
+set m14 "map q3dm11; set nextmap vstr m15"
+set m15 "map q3dm12; set nextmap vstr m16"
+set m16 "map q3tourney4; set nextmap vstr m17"
+set m17 "map q3dm13; set nextmap vstr m18"
+set m18 "map q3dm14; set nextmap vstr m19"
+set m19 "map q3dm15; set nextmap vstr m20"
+set m20 "map q3tourney5; set nextmap vstr m21"
+set m21 "map q3dm16; set nextmap vstr m22"
+set m22 "map q3dm17; set nextmap vstr m23"
+set m23 "map q3dm18; set nextmap vstr m24"
+set m24 "map q3dm19; set nextmap vstr m25"
+set m25 "map q3tourney6; set nextmap vstr m1"

+ 145 - 0
Quake3/q3server

@@ -0,0 +1,145 @@
+#!/bin/bash
+# Quake 3: Arena
+# Server Management Script
+# Author: Daniel Gibbs
+# Website: https://gameservermanagers.com
+if [ -f ".dev-debug" ]; then
+	exec 5>dev-debug.log
+	BASH_XTRACEFD="5"
+	set -x
+fi
+
+version="210516"
+
+#### Variables ####
+
+# Notification Alerts
+# (on|off)
+
+# Email
+emailalert="off"
+email="email@example.com"
+
+# Pushbullet
+# https://www.pushbullet.com/#settings
+pushbulletalert="off"
+pushbullettoken="accesstoken"
+
+# Start Variables
+defaultmap="q3dm17"
+ip="0.0.0.0"
+port="27960"
+
+fn_parms(){
+parms="+set sv_punkbuster 0 +set fs_basepath ${filesdir} +set dedicated 1 +set com_hunkMegs 32 +set net_ip ${ip} +set net_port ${port} +exec ${servercfg} +map ${defaultmap}"
+}
+
+#### Advanced Variables ####
+
+# Github Branch Select
+# Allows for the use of different function files
+# from a different repo and/or branch.
+githubuser="GameServerManagers"
+githubrepo="LinuxGSM"
+githubbranch="master"
+
+# Server Details
+servicename="quake3-server"
+gamename="Quake 3: Arena"
+engine="idtech3"
+
+# Directories
+rootdir="$(dirname $(readlink -f "${BASH_SOURCE[0]}"))"
+selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
+lockselfname=".${servicename}.lock"
+lgsmdir="${rootdir}/lgsm"
+functionsdir="${lgsmdir}/functions"
+libdir="${lgsmdir}/lib"
+tmpdir="${lgsmdir}/tmp"
+filesdir="${rootdir}/serverfiles"
+systemdir="${filesdir}/baseq3"
+executabledir="${filesdir}"
+executable="./q3ded"
+servercfg="${servicename}.cfg"
+servercfgdefault="server.cfg"
+servercfgdir="${systemdir}"
+servercfgfullpath="${servercfgdir}/${servercfg}"
+backupdir="${rootdir}/backups"
+
+# Logging
+logdays="7"
+gamelogdir="${filesdir}/Logs"
+scriptlogdir="${rootdir}/log/script"
+consolelogdir="${rootdir}/log/console"
+consolelogging="on"
+
+scriptlog="${scriptlogdir}/${servicename}-script.log"
+consolelog="${consolelogdir}/${servicename}-console.log"
+emaillog="${scriptlogdir}/${servicename}-email.log"
+
+scriptlogdate="${scriptlogdir}/${servicename}-script-$(date '+%d-%m-%Y-%H-%M-%S').log"
+consolelogdate="${consolelogdir}/${servicename}-console-$(date '+%d-%m-%Y-%H-%M-%S').log"
+
+##### Script #####
+# Do not edit
+
+# Fetches core_dl for file downloads
+fn_fetch_core_dl(){
+github_file_url_dir="lgsm/functions"
+github_file_url_name="${functionfile}"
+filedir="${functionsdir}"
+filename="${github_file_url_name}"
+githuburl="https://raw.githubusercontent.com/${githubuser}/${githubrepo}/${githubbranch}/${github_file_url_dir}/${github_file_url_name}"
+# If the file is missing, then download
+if [ ! -f "${filedir}/${filename}" ]; then
+	if [ ! -d "${filedir}" ]; then
+		mkdir -p "${filedir}"
+	fi
+	echo -e "    fetching ${filename}...\c"
+	# Check curl exists and use available path
+	curlpaths="$(command -v curl 2>/dev/null) $(which curl >/dev/null 2>&1) /usr/bin/curl /bin/curl /usr/sbin/curl /sbin/curl)"
+	for curlcmd in ${curlpaths}
+	do
+		if [ -x "${curlcmd}" ]; then
+			break
+		fi
+	done
+	# If curl exists download file
+	if [ "$(basename ${curlcmd})" == "curl" ]; then
+		curlfetch=$(${curlcmd} -s --fail -o "${filedir}/${filename}" "${githuburl}" 2>&1)
+		if [ $? -ne 0 ]; then
+			echo -e "\e[0;31mFAIL\e[0m\n"
+			echo "${curlfetch}"
+			echo -e "${githuburl}\n"
+			exit 1
+		else
+			echo -e "\e[0;32mOK\e[0m"
+		fi
+	else
+		echo -e "\e[0;31mFAIL\e[0m\n"
+		echo "Curl is not installed!"
+		echo -e ""
+		exit 1
+	fi
+	chmod +x "${filedir}/${filename}"
+fi
+source "${filedir}/${filename}"
+}
+
+core_dl.sh(){
+# Functions are defined in core_functions.sh.
+functionfile="${FUNCNAME}"
+fn_fetch_core_dl
+}
+
+core_functions.sh(){
+# Functions are defined in core_functions.sh.
+functionfile="${FUNCNAME}"
+fn_fetch_core_dl
+}
+
+core_dl.sh
+core_functions.sh
+
+getopt=$1
+core_getopt.sh

+ 1 - 1
QuakeLive/qlserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
RedOrchestra/roserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Ricochet/ricochetserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Rust/rustserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
SeriousSam3BFE/ss3sserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Starbound/sbserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
SvenCoop/svenserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
TeamFortress2/tf2server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="160916"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
TeamFortressClassic/tfcserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
TeamSpeak3/ts3server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="290716"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Teeworlds/twserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
Terraria/terrariaserver

@@ -10,7 +10,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
UnrealTournament/utserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
UnrealTournament2004/ut2k4server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
UnrealTournament3/ut3server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
UnrealTournament99/ut99server

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 1 - 1
WolfensteinEnemyTerritory/wetserver

@@ -9,7 +9,7 @@ if [ -f ".dev-debug" ]; then
 	set -x
 fi
 
-version="210516"
+version="211016"
 
 #### Variables ####
 

+ 0 - 22
appmanifest/appmanifest_10.acf

@@ -1,22 +0,0 @@
-"AppState"
-{
-	"AppID"		"10"
-	"Universe"		"1"
-	"StateFlags"		"1090"
-	"installdir"		"Half-Life"
-	"LastUpdated"		"0"
-	"UpdateResult"		"0"
-	"SizeOnDisk"		"0"
-	"buildid"		"0"
-	"LastOwner"		"0"
-	"BytesToDownload"		"0"
-	"BytesDownloaded"		"0"
-	"AutoUpdateBehavior"		"0"
-	"AllowOtherDownloadsWhileRunning"		"0"
-	"UserConfig"
-	{
-	}
-	"MountedDepots"
-	{
-	}
-}

+ 0 - 22
appmanifest/appmanifest_70.acf

@@ -1,22 +0,0 @@
-"AppState"
-{
-	"AppID"		"70"
-	"Universe"		"1"
-	"StateFlags"		"1090"
-	"installdir"		"Half-Life"
-	"LastUpdated"		"0"
-	"UpdateResult"		"0"
-	"SizeOnDisk"		"0"
-	"buildid"		"0"
-	"LastOwner"		"0"
-	"BytesToDownload"		"0"
-	"BytesDownloaded"		"0"
-	"AutoUpdateBehavior"		"0"
-	"AllowOtherDownloadsWhileRunning"		"0"
-	"UserConfig"
-	{
-	}
-	"MountedDepots"
-	{
-	}
-}

+ 0 - 28
appmanifest/appmanifest_90.acf

@@ -1,28 +0,0 @@
-"AppState"
-{
-	"AppID"		"90"
-	"Universe"		"1"
-	"StateFlags"		"1026"
-	"installdir"		"Half-Life"
-	"LastUpdated"		"0"
-	"UpdateResult"		"0"
-	"SizeOnDisk"		"0"
-	"buildid"		"0"
-	"LastOwner"		"0"
-	"BytesToDownload"		"0"
-	"BytesDownloaded"		"0"
-	"AutoUpdateBehavior"		"0"
-	"AllowOtherDownloadsWhileRunning"		"0"
-	"UserConfig"
-	{
-	}
-	"MountedDepots"
-	{
-	}
-	"SharedDepots"
-	{
-		"1"		"70"
-		"11"		"10"
-		"71"		"70"
-	}
-}

+ 0 - 31
appmanifest/czero/appmanifest_90.acf

@@ -1,31 +0,0 @@
-"AppState"
-{
-	"appid"		"90"
-	"Universe"		"1"
-	"StateFlags"		"4"
-	"installdir"		"Half-Life"
-	"LastUpdated"		"1390662869"
-	"UpdateResult"		"0"
-	"SizeOnDisk"		"41586625"
-	"buildid"		"63549"
-	"LastOwner"		"76561199609699388"
-	"BytesToDownload"		"224501136"
-	"BytesDownloaded"		"224501136"
-	"AutoUpdateBehavior"		"0"
-	"AllowOtherDownloadsWhileRunning"		"0"
-	"UserConfig"
-	{
-		"mod"		"czero"
-	}
-	"MountedDepots"
-	{
-		"4"		"3196956435784640171"
-	}
-	"SharedDepots"
-	{
-		"1"		"70"
-		"11"		"10"
-		"71"		"70"
-		"81"		"80"
-	}
-}

+ 0 - 31
appmanifest/dod/appmanifest_90.acf

@@ -1,31 +0,0 @@
-"AppState"
-{
-	"AppID"		"90"
-	"Universe"		"1"
-	"StateFlags"		"1030"
-	"installdir"		"Half-Life"
-	"LastUpdated"		"1390652241"
-	"UpdateResult"		"0"
-	"SizeOnDisk"		"41586625"
-	"buildid"		"63549"
-	"LastOwner"		"76561201453793332"
-	"BytesToDownload"		"236411088"
-	"BytesDownloaded"		"0"
-	"AutoUpdateBehavior"		"0"
-	"AllowOtherDownloadsWhileRunning"		"0"
-	"UserConfig"
-	{
-		"mod"		"dod"
-	}
-	"MountedDepots"
-	{
-		"4"		"3196956435784640171"
-	}
-	"SharedDepots"
-	{
-		"1"		"70"
-		"11"		"10"
-		"71"		"70"
-		"31"		"30"
-	}
-}

+ 0 - 31
appmanifest/tfc/appmanifest_90.acf

@@ -1,31 +0,0 @@
-"AppState"
-{
-	"AppID"		"90"
-	"Universe"		"1"
-	"StateFlags"		"4"
-	"installdir"		"Half-Life"
-	"LastUpdated"		"1390765182"
-	"UpdateResult"		"0"
-	"SizeOnDisk"		"41586625"
-	"buildid"		"63549"
-	"LastOwner"		"76561198445953036"
-	"BytesToDownload"		"62362560"
-	"BytesDownloaded"		"0"
-	"AutoUpdateBehavior"		"0"
-	"AllowOtherDownloadsWhileRunning"		"0"
-	"UserConfig"
-	{
-		"mod"		"tfc"
-	}
-	"MountedDepots"
-	{
-		"4"		"3196956435784640171"
-	}
-	"SharedDepots"
-	{
-		"1"		"70"
-		"11"		"10"
-		"71"		"70"
-		"21"		"20"
-	}
-}

+ 0 - 38
functions/command_update_functions.sh

@@ -1,38 +0,0 @@
-#!/bin/bash
-# LGSM command_update_functions.sh function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: Deletes the functions dir to allow re-downloading of functions from GitHub.
-
-local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
-check.sh
-fn_print_dots "Updating functions"
-fn_script_log "Updating functions"
-sleep 1
-echo -ne "\n"
-
-# Removed legecy functions dir
-if [ -n "${rootdir}" ]; then
-	if [ -d "${rootdir}/functions/" ]; then
-		rm -rfv "${rootdir}/functions/"
-		exitcode=$?
-	fi
-fi
-
-if [ -n "${functionsdir}" ]; then
-	if [ -d "${functionsdir}" ]; then
-		rm -rfv "${functionsdir}/"*
-		exitcode=$?
-	fi
-fi
-
-if [ "${exitcode}" == "0" ]; then
-	fn_print_ok "Updating functions"
-	fn_script_log "Success! Updating functions"
-else
-	fn_print_fail "Updating functions"
-	fn_script_log "Failure! Updating functions"
-fi
-echo -ne "\n"

+ 0 - 72
functions/core_functions.sh

@@ -1,72 +0,0 @@
-#!/bin/bash
-# LGSM core_functions.sh function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: REDIRECT FUNCTION to new location for core_functions.sh
-
-# fn_fetch_core_dl also placed here to allow legecy servers to still download core functions
-if [ -z "${lgsmdir}" ]; then
-	lgsmdir="${rootdir}/lgsm"
-	functionsdir="${lgsmdir}/functions"
-	libdir="${lgsmdir}/lib"
-fi
-
-fn_fetch_core_dl(){
-if [ -z "${githubuser}" ]; then
-	githubuser="GameServerManagers"
-fi
-if [ -z "${githubrepo}" ]; then
-	githubrepo="LinuxGSM"
-fi
-if [ -z "${githubbranch}" ]; then
-	githubbranch="master"
-fi
-github_file_url_dir="lgsm/functions"
-github_file_url_name="${functionfile}"
-filedir="${functionsdir}"
-filename="${github_file_url_name}"
-githuburl="https://raw.githubusercontent.com/${githubuser}/${githubrepo}/${githubbranch}/${github_file_url_dir}/${github_file_url_name}"
-# If the file is missing, then download
-if [ ! -f "${filedir}/${filename}" ]; then
-	if [ ! -d "${filedir}" ]; then
-		mkdir -p "${filedir}"
-	fi
-	echo -e "    fetching ${filename}...\c"
-	# Check curl exists and use available path
-	curlpaths="$(command -v curl 2>/dev/null) $(which curl >/dev/null 2>&1) /usr/bin/curl /bin/curl /usr/sbin/curl /sbin/curl)"
-	for curlcmd in ${curlpaths}
-	do
-		if [ -x "${curlcmd}" ]; then
-			break
-		fi
-	done
-	# If curl exists download file
-	if [ "$(basename ${curlcmd})" == "curl" ]; then
-		curlfetch=$(${curlcmd} -s --fail -o "${filedir}/${filename}" "${githuburl}" 2>&1)
-		if [ $? -ne 0 ]; then
-			echo -e "${red}FAIL${default}\n"
-			echo "${curlfetch}"
-			echo -e "${githuburl}\n"
-			exit 1
-		else
-			echo -e "${green}OK${default}"
-		fi
-	else
-		echo -e "${red}FAIL${default}\n"
-		echo "Curl is not installed!"
-		echo -e ""
-		exit 1
-	fi
-	chmod +x "${filedir}/${filename}"
-fi
-source "${filedir}/${filename}"
-}
-
-core_functions.sh(){
-functionfile="${FUNCNAME}"
-fn_fetch_core_dl
-}
-
-core_functions.sh

+ 0 - 14
functions/core_getopt.sh

@@ -1,14 +0,0 @@
-#!/bin/bash
-# LGSM core_getopt.sh function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: REDIRECT FUNCTION to new location for core_getopt.sh
-
-core_getopt.sh(){
-functionfile="${FUNCNAME}"
-fn_fetch_core_dl
-}
-
-core_getopt.sh

+ 0 - 15
functions/fn_functions

@@ -1,15 +0,0 @@
-#!/bin/bash
-# LGSM fn_functions function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: REDIRECT FUNCTION to new core_functions.sh
-
-core_functions.sh(){
-# Functions are defined in core_functions.sh.
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
-core_functions.sh

+ 0 - 14
functions/fn_getopt

@@ -1,14 +0,0 @@
-#!/bin/bash
-# LGSM fn_getopt.sh function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: REDIRECT FUNCTION to new core_getopt.sh
-
-core_getopt.sh(){
-functionfile="${FUNCNAME}"
-fn_fetch_core_dl
-}
-
-core_getopt.sh

+ 0 - 15
functions/fn_update_functions

@@ -1,15 +0,0 @@
-#!/bin/bash
-# LGSM fn_update_functions function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: REDIRECT FUNCTION to new command_update_functions.sh
-
-command_update_functions.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
-command_update_functions.sh
-

+ 0 - 15
functions/update_functions.sh

@@ -1,15 +0,0 @@
-#!/bin/bash
-# LGSM fn_update_functions function
-# Author: Daniel Gibbs
-# Website: https://gameservermanagers.com
-lgsm_version="210516"
-
-# Description: REDIRECT FUNCTION to new command_update_functions.sh
-
-command_update_functions.sh(){
-functionfile="${FUNCNAME}"
-fn_runfunction
-}
-
-command_update_functions.sh
-

+ 5 - 6
lgsm/functions/check_system_requirements.sh

@@ -14,14 +14,13 @@ info_distro.sh
 if [ "${gamename}" == "Rust" ]; then
 	ramrequirementmb="4000"
 	ramrequirementgb="4"
-fi
-
-if [ "${gamename}" == "ARMA 3" ]; then
+elif [ "${gamename}" == "ARMA 3" ]; then
 	ramrequirementmb="1000"
 	ramrequirementgb="1"
-fi
-
-if [ "${gamename}" == "Minecraft" ]; then
+elif [ "${gamename}" == "Minecraft" ]; then
+	ramrequirementmb="1000"
+	ramrequirementgb="1"
+elif [ "${gamename}" == "Natural Selection 2" ]||[ "${gamename}" == "NS2: Combat" ]; then
 	ramrequirementmb="1000"
 	ramrequirementgb="1"
 fi

+ 26 - 2
lgsm/functions/command_details.sh

@@ -227,6 +227,8 @@ fn_details_script(){
 		if [ -n "${servercfgfullpath}" ]; then
 			if [ -f "${servercfgfullpath}" ]; then
 				echo -e "${blue}Config file:\t${default}${servercfgfullpath}"
+			elif [ -d "${servercfgfullpath}" ]; then
+				echo -e "${blue}Config dir:\t${default}${servercfgfullpath}"
 			else
 				echo -e "${blue}Config file:\t${default}${red}${servercfgfullpath}${default} (${red}FILE MISSING${default})"
 			fi
@@ -290,7 +292,7 @@ fn_details_ports(){
 
 	parmslocation="${red}UNKNOWN${default}"
 	# engines that require editing in the config file
-	local ports_edit_array=( "avalanche" "dontstarve" "idtech3" "lwjgl2" "projectzomboid" "idtech3_ql" "refractor" "realvirtuality" "seriousengine35" "teeworlds" "terraria" "unreal" "unreal2" "unreal3" "TeamSpeak 3" "Mumble" "7 Days To Die" )
+	local ports_edit_array=( "avalanche" "dontstarve" "idtech2" "idtech3" "lwjgl2" "projectzomboid" "idtech3_ql" "refractor" "realvirtuality" "seriousengine35" "teeworlds" "terraria" "unreal" "unreal2" "unreal3" "TeamSpeak 3" "Mumble" "7 Days To Die" )
 	for port_edit in "${ports_edit_array[@]}"
 	do
 		if [ "${engine}" == "${port_edit}" ]||[ "${gamename}" == "${port_edit}" ]; then
@@ -384,6 +386,24 @@ fn_details_refractor(){
 	} | column -s $'\t' -t
 }
 
+fn_details_quake2(){
+	echo -e "netstat -atunp | grep quake2"
+	echo -e ""
+	{
+		echo -e "DESCRIPTION\tDIRECTION\tPORT\tPROTOCOL"
+		echo -e "> Game\tINBOUND\t${port}\tudp"
+	} | column -s $'\t' -t
+}
+
+fn_details_quake3(){
+	echo -e "netstat -atunp | grep q3ded"
+	echo -e ""
+	{
+		echo -e "DESCRIPTION\tDIRECTION\tPORT\tPROTOCOL"
+		echo -e "> Game\tINBOUND\t${port}\tudp"
+	} | column -s $'\t' -t
+}
+
 fn_details_quakelive(){
 	echo -e "netstat -atunp | grep qzeroded"
 	echo -e ""
@@ -426,7 +446,7 @@ fn_details_source(){
 		echo -e "DESCRIPTION\tDIRECTION\tPORT\tPROTOCOL"
 		echo -e "> Game/RCON\tINBOUND\t${port}\ttcp/udp"
 		if [ -n "${sourcetvport}" ]; then
-		        echo -e "> SourceTV\tINBOUND\t${sourcetvport}\tudp"
+			echo -e "> SourceTV\tINBOUND\t${sourcetvport}\tudp"
 		fi
 		echo -e "< Client\tOUTBOUND\t${clientport}\tudp"
 	} | column -s $'\t' -t
@@ -663,6 +683,10 @@ fn_display_details() {
 		fn_details_ark
 	elif [ "${gamename}" == "Hurtworld" ]; then
 		fn_details_hurtworld
+	elif [ "${gamename}" == "Quake 2" ]; then
+		fn_details_quake2
+	elif [ "${gamename}" == "Quake 3: Arena" ]; then
+		fn_details_quake3
 	elif [ "${gamename}" == "Quake Live" ]; then
 		fn_details_quakelive
 	elif [ "${gamename}" == "TeamSpeak 3" ]; then

+ 1 - 1
lgsm/functions/command_install.sh

@@ -18,7 +18,7 @@ check_deps.sh
 if [ "${gamename}" == "Unreal Tournament 2004" ]; then
 	install_server_files.sh
 	install_ut2k4_key.sh
-elif [ "${gamename}" == "Unreal Tournament 3" ]||[ "${gamename}" == "Battlefield: 1942" ]||[ "${gamename}" == "Wolfenstein: Enemy Territory" ]||[ "${gamename}" == "Unreal Tournament 99" ]||[ "${gamename}" == "Unreal Tournament" ]||[ "${gamename}" == "TeamSpeak 3" ]||[ "${gamename}" == "Minecraft" ]||[ "${gamename}" == "Mumble" ]; then
+elif [ "${gamename}" == "Battlefield: 1942" ]||[ "${gamename}" == "Minecraft" ]||[ "${gamename}" == "Quake 2" ]||[ "${gamename}" == "Quake 3: Arena" ]||[ "${gamename}" == "Unreal Tournament 99" ]||[ "${gamename}" == "Unreal Tournament 3" ]||[ "${gamename}" == "Unreal Tournament" ]||[ "${gamename}" == "TeamSpeak 3" ]||[ "${gamename}" == "Mumble" ]||[ "${gamename}" == "Wolfenstein: Enemy Territory" ]; then
 	installer=1
 	install_server_files.sh
 elif [ -n "${appid}" ]; then

+ 1 - 1
lgsm/functions/core_getopt.sh

@@ -622,7 +622,7 @@ case "${getopt}" in
 
 if [ "${gamename}" == "Mumble" ]; then
 	fn_getopt_mumble
-elif [ "${gamename}" == "Battlefield: 1942" ]|| [ "${gamename}" == "Wolfenstein: Enemy Territory" ]; then
+elif [ "${gamename}" == "Battlefield: 1942" ]||[ "${gamename}" == "Quake 3: Arena" ]||[ "${gamename}" == "Wolfenstein: Enemy Territory" ]; then
 	fn_getopt_generic_no_update
 elif [ "${engine}" == "lwjgl2" ]; then
 	fn_getopt_minecraft

+ 1 - 1
lgsm/functions/fn_functions

@@ -2,7 +2,7 @@
 # LGSM fn_functions function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-lgsm_version="210516"
+lgsm_version="211016"
 
 # Description: Redirects to new core_functions.sh
 

+ 1 - 1
lgsm/functions/fn_getopt

@@ -2,7 +2,7 @@
 # LGSM fn_getopt function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-lgsm_version="210516"
+lgsm_version="211016"
 
 # Description: Redirect to new core_getopt.sh
 

+ 1 - 1
lgsm/functions/fn_update_functions

@@ -2,7 +2,7 @@
 # LGSM fn_update_functions function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-lgsm_version="210516"
+lgsm_version="211016"
 
 # Description: LEGACY FUNCTION Deletes the functions dir to allow re-downloading of functions from GitHub.
 

+ 3 - 1
lgsm/functions/gsquery.py

@@ -22,6 +22,8 @@ class GameServer:
             self.query_prompt_string = b'\xFE\xFD\x09\x10\x20\x30\x40'
         elif self.option.engine == 'goldsource':
             self.query_prompt_string = b'\xFF\xFF\xFF\xFFTSource Engine Query\0'
+        elif self.option.engine == 'idtech2':
+            self.query_prompt_string = b'\xff\xff\xff\xffstatus\x00'
         elif self.option.engine == 'idtech3':
             self.query_prompt_string = b'\xff\xff\xff\xffgetstatus'
         elif self.option.engine == 'quakelive':
@@ -109,7 +111,7 @@ if __name__ == '__main__':
         action='store',
         dest='engine',
         default=False,
-        help='Engine type: avalanche, goldsource, idtech3, realvirtuality, quakelive, refractor, spark, source, unity3d, unreal, unreal2.'
+        help='Engine type: avalanche, goldsource, idtech2, idtech3, idtech3_ql, realvirtuality, quakelive, refractor, spark, source, unity3d, unreal, unreal2.'
     )
     parser.add_option(
         '-v', '--verbose',

+ 44 - 0
lgsm/functions/info_config.sh

@@ -154,6 +154,44 @@ fn_info_config_projectzomboid(){
 	fi
 }
 
+fn_info_config_quake2(){
+	if [ ! -f "${servercfgfullpath}" ]; then
+		rconpassword="${unavailable}"
+		servername="${unavailable}"
+		serverpassword="${unavailable}"
+		slots="${zero}"
+	else
+		rconpassword=$(grep "rcon_password" "${servercfgfullpath}" | sed -e 's/^[ \t]*//g' -e '/^\//d' -e 's/set rcon_password//g' | tr -d '=\";,:' | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
+		servername=$(grep "hostname" "${servercfgfullpath}" | sed -e 's/^[ \t]*//g' -e '/^\//d' -e 's/set hostname//g' | tr -d '=\";,:' | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
+		slots=$(grep "maxclients" "${servercfgfullpath}" | grep -v "#" | tr -cd '[:digit:]')
+
+		# Not Set
+		rconpassword=${rconpassword:-"NOT SET"}
+		servername=${servername:-"NOT SET"}
+		slots=${slots:-"0"}
+	fi
+}
+
+fn_info_config_quake3(){
+	if [ ! -f "${servercfgfullpath}" ]; then
+		rconpassword="${unavailable}"
+		servername="${unavailable}"
+		serverpassword="${unavailable}"
+		slots="${zero}"
+	else
+		rconpassword=$(grep "zmq_rcon_password" "${servercfgfullpath}" | sed -e 's/^[ \t]*//g' -e '/^\//d' -e 's/set zmq_rcon_password//g' | tr -d '=\";,:' | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
+		servername=$(grep "sv_hostname" "${servercfgfullpath}" | sed -e 's/^[ \t]*//g' -e '/^\//d' -e 's/set sv_hostname//g' | tr -d '=\";,:' | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
+		serverpassword=$(grep "rconpassword" "${servercfgfullpath}" | sed -e 's/^[ \t]*//g' -e '/^\//d' -e 's/set rconpassword//g' | tr -d '=\";,:' | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
+		slots=$(grep "sv_maxclients" "${servercfgfullpath}" | grep -v "#" | tr -cd '[:digit:]')
+
+		# Not Set
+		rconpassword=${rconpassword:-"NOT SET"}
+		servername=${servername:-"NOT SET"}
+		serverpassword=${serverpassword:-"NOT SET"}
+		slots=${slots:-"0"}
+	fi
+}
+
 fn_info_config_quakelive(){
 	if [ ! -f "${servercfgfullpath}" ]; then
 		rconpassword="${unavailable}"
@@ -475,6 +513,12 @@ elif [ "${gamename}" == "Battlefield: 1942" ]; then
 # Dont Starve Together
 elif [ "${engine}" == "dontstarve" ]; then
 	fn_info_config_dontstarve
+# Quake 2
+elif [ "${gamename}" == "Quake 2" ]; then
+	fn_info_config_quake2
+# Quake 3
+elif [ "${gamename}" == "Quake 3: Arena" ]; then
+	fn_info_config_quake3
 # Quake Live
 elif [ "${gamename}" == "Quake Live" ]; then
 	fn_info_config_quakelive

+ 6 - 1
lgsm/functions/info_glibc.sh

@@ -41,6 +41,12 @@ elif [ "${gamename}" == "Mumble" ]; then
 elif [ "${gamename}" == "No More Room in Hell" ]; then
 	glibcrequired="2.15"
 	glibcfix="yes"
+elif [ "${gamename}" == "Quake 2" ]; then
+	glibcrequired="2.0"
+	glibcfix="no"
+elif [ "${gamename}" == "Quake 3: Arena" ]; then
+	glibcrequired="2.1"
+	glibcfix="no"
 elif [ "${gamename}" == "Quake Live" ]; then
 	glibcrequired="2.15"
 	glibcfix="no"
@@ -101,7 +107,6 @@ elif [ "${gamename}" == "TeamSpeak 3" ]; then
 elif [ "${gamename}" == "Mumble" ]; then
 	glibcrequired="NOT REQUIRED"
 	glibcfix="no"
-
 elif [ "${engine}" == "refractor" ]; then
 	glibcrequired="2.0"
 	glibcfix="no"

+ 13 - 11
lgsm/functions/info_parms.sh

@@ -26,17 +26,6 @@ fn_info_config_quakelive(){
 	rconpassword=${rconpassword:-"NOT SET"}
 }
 
-fn_info_config_realvirtuality(){
-	port=$(grep "^serverport=" "${servercfgfullpath}" | tr -cd '[:digit:]')
-	queryport=$(grep "^steamqueryport=" "${servercfgfullpath}" | tr -cd '[:digit:]')
-	masterport=$(grep "^steamport=" "${servercfgfullpath}" | tr -cd '[:digit:]')
-
-	# Not Set
-	port=${port:-"2302"}
-	queryport=${queryport:-"2303"}
-	masterport=${masterport:-"2304"}
-}
-
 fn_info_config_source(){
 	defaultmap=${defaultmap:-"NOT SET"}
 	maxplayers=${maxplayers:-"0"}
@@ -44,6 +33,16 @@ fn_info_config_source(){
 	clientport=${clientport:-"0"}
 }
 
+fn_info_config_spark(){
+	# Not Set
+	port=${port:-"0"}
+	queryport=$((port + 1))
+	maxplayers=${maxplayers:-"0"}
+	webadminuser=${webadminuser:-"NOT SET"}
+	webadminpass=${webadminpass:-"NOT SET"}
+	webadminport=${webadminport:-"0"}
+}
+
 fn_info_config_teeworlds(){
 	if [ ! -f "${servercfgfullpath}" ]; then
 		servername="unnamed server"
@@ -139,6 +138,9 @@ elif [ "${engine}" == "seriousengine35" ]; then
 # Source Engine Games
 elif [ "${engine}" == "source" ]||[ "${engine}" == "goldsource" ]; then
 	fn_info_config_source
+# Spark
+elif [ "${engine}" == "spark" ]; then
+	fn_info_config_spark
 # Teeworlds
 elif [ "${engine}" == "teeworlds" ]; then
 	fn_info_config_teeworlds

+ 12 - 0
lgsm/functions/install_config.sh

@@ -290,6 +290,18 @@ elif [ "${gamename}" == "Project Zomboid" ]; then
 	fn_fetch_default_config
 	fn_default_config_remote
 	fn_set_config_vars
+elif [ "${gamename}" == "Quake 2" ]; then
+	gamedirname="Quake2"
+	array_configs+=( server.cfg )
+	fn_fetch_default_config
+	fn_default_config_remote
+	fn_set_config_vars
+elif [ "${gamename}" == "Quake 3: Arena" ]; then
+	gamedirname="Quake3Arena"
+	array_configs+=( server.cfg )
+	fn_fetch_default_config
+	fn_default_config_remote
+	fn_set_config_vars
 elif [ "${gamename}" == "Quake Live" ]; then
 	gamedirname="QuakeLive"
 	array_configs+=( server.cfg )

+ 4 - 0
lgsm/functions/install_server_files.sh

@@ -23,6 +23,10 @@ fn_install_server_files(){
 		fileurl="http://files.gameservermanagers.com/UnrealTournament/UnrealTournament-Server-XAN-3045522-Linux.zip"; filedir="${tmpdir}"; filename="UnrealTournament-Server-XAN-3045522-Linux.zip";  executecmd="noexecute" run="norun"; force="noforce"; md5="553fed5645a9fc623e92563049bf79f6"
 	elif [ "${gamename}" == "GoldenEye: Source" ]; then
 		fileurl="http://files.gameservermanagers.com/GoldenEyeSource/GoldenEye_Source_v5.0.1_full_server_linux.tar.bz2"; filedir="${tmpdir}"; filename="GoldenEye_Source_v5.0.1_server_full_Linux.tar.bz2";  executecmd="noexecute" run="norun"; force="noforce"; md5="ea227a150300abe346e757380325f84c"
+	elif [ "${gamename}" == "Quake 2" ]; then
+		fileurl="http://files.gameservermanagers.com/Quake2/quake2-3.20-glibc-i386-full-linux2.0.tar.bz2"; filedir="${lgsmdir}/tmp"; filename="quake2-3.20-glibc-i386-full-linux2.0.tar.bz2";  executecmd="noexecute" run="norun"; force="noforce"; md5="0b8c7e2d51f40b56b328c69e986e7c5f"
+	elif [ "${gamename}" == "Quake 3: Arena" ]; then
+		fileurl="http://files.gameservermanagers.com/Quake3/quake3-1.32c-x86-full-linux.tar.bz2"; filedir="${lgsmdir}/tmp"; filename="quake3-1.32c-x86-full-linux.tar.bz2";  executecmd="noexecute" run="norun"; force="noforce"; md5="fd7258d827474f67663dda297bff4306"
 	fi
 	fn_fetch_file "${fileurl}" "${filedir}" "${filename}" "${executecmd}" "${run}" "${force}" "${md5}"
 	fn_dl_extract "${filedir}" "${filename}" "${filesdir}"